﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AirPlaneWithRadar
{
    public class EntetyPlain

    {
        public int Speed { get; private set; }
        public float Weight { get; private set; }
        public Color BodyColor { get; set; }
        public float Step => Speed * 100 / Weight;

        public EntetyPlain(int speed, float weight, Color bodyColor)
        {
            Random rd = new Random();
            Speed = speed <= 0 ? rd.Next(50, 150) : speed;
            Weight = weight <= 0 ? rd.Next(40, 70) : weight;
            BodyColor = bodyColor;
        }

    }
}
