﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AirPlaneWithRadar
{
    internal class UserMap_Colums : AbstractMap
    {
        Brush barrierColor = new SolidBrush(Color.DarkGray);
        Brush roadColor = new SolidBrush(Color.Aqua);
        protected override void DrawBarrierPart(Graphics g, int i, int j)
        {
            g.FillRectangle(barrierColor, i * _size_x, j * _size_y, i * (_size_x + 1), j * (_size_y + 1));
        }

        protected override void DrawRoadPart(Graphics g, int i, int j)
        {
            g.FillRectangle(roadColor, i * _size_x, j * _size_y, i * (_size_x + 1), j * (_size_y + 1));
        }

        protected override void GenerateMap()
        {
            _map = new int[100, 100];
            _size_x = (float)_width / _map.GetLength(0);
            _size_y = (float)_height / _map.GetLength(1);
            int sizeHole = 30;
            int counter = 0;
            for (int i = 0; i < _map.GetLength(0); ++i)
            {
                for (int j = 0; j < _map.GetLength(1); ++j)
                {
                    _map[i, j] = _freeRoad;
                }
            } while (counter < 3)
            {
                Random rand = new Random();
                int iWall = rand.Next(0, 100);
                int jWall = rand.Next(0, 100);
                if (iWall > _map.GetLength(0) - sizeHole)
                    continue;
                for (int i = 0; i < _map.GetLength(0); i++)
                {

                    if (i < iWall || i > iWall + sizeHole)
                        _map[jWall, i] = _barrier;

                }
                counter++;
            }
        }
    }
}
